Bug 1121946 - [api] get updateinfo for a given package
Summary: [api] get updateinfo for a given package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 850912
Blocks: 1214060
TreeView+ depends on / blocked
 
Reported: 2014-07-22 08:23 UTC by Tim Lauridsen
Modified: 2016-07-19 11:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:57:26 UTC


Attachments (Terms of Use)

Description Tim Lauridsen 2014-07-22 08:23:16 UTC
Description of problem:

public api for fetching updateinfo for a given package in a easy to use format.

Usecase:

I a package management gui like yumex, it is very useful for the enduser to
see update infomation for available updates, so the user can see what bugzilla/CVE etc there is fixed in a given update.


Version-Release number of selected component (if applicable):
0.5.4

Comment 1 Ales Kozumplik 2014-07-22 11:55:10 UTC
Thanks Tim, we'll plan this once updateinfo support (bug 850912) is provided.

Comment 2 Jaroslav Reznik 2015-03-03 17:03:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Tim Lauridsen 2015-04-23 11:27:44 UTC
if hawkey.package.get_advisories() is public api, then this can be closed

Comment 5 Fedora Admin XMLRPC Client 2016-07-08 09:33:57 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2016-07-19 11:57:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.